# Generated by Django 2.2.7 on 2019-11-21 22:18

import concurrency.fields
from django.conf import settings
import django.contrib.postgres.fields.jsonb
from django.db import migrations, models
import django.db.models.deletion
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Edition',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('last_updated', models.DateTimeField(auto_now=True)),
                ('live', models.BooleanField(default=False)),
                ('publish_datetime', models.DateTimeField(unique=True)),
            ],
            options={
                'ordering': ['-publish_datetime'],
            },
        ),
        migrations.CreateModel(
            name='Interstitial',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=100, unique=True)),
                ('last_updated', models.DateTimeField(auto_now=True)),
                ('favorite', models.BooleanField(default=False)),
                ('content', django.contrib.postgres.fields.jsonb.JSONField(blank=True, null=True)),
                ('version', concurrency.fields.AutoIncVersionField(default=0, help_text='record revision number')),
            ],
        ),
        migrations.CreateModel(
            name='InterstitialType',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=100, unique=True)),
                ('json_schema', django.contrib.postgres.fields.jsonb.JSONField(blank=True, null=True)),
                ('ui_schema', django.contrib.postgres.fields.jsonb.JSONField(blank=True, null=True)),
                ('context', django.contrib.postgres.fields.jsonb.JSONField(blank=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='MinuteType',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=100, unique=True)),
                ('json_schema', django.contrib.postgres.fields.jsonb.JSONField(blank=True, null=True)),
                ('ui_schema', django.contrib.postgres.fields.jsonb.JSONField(blank=True, null=True)),
                ('context', django.contrib.postgres.fields.jsonb.JSONField(blank=True, null=True)),
                ('is_meta', models.BooleanField(default=False)),
            ],
        ),
        migrations.CreateModel(
            name='Sponsor',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=100)),
                ('logo', models.URLField()),
                ('last_updated', models.DateTimeField(auto_now=True)),
            ],
        ),
        migrations.CreateModel(
            name='Theme',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=100, unique=True)),
            ],
        ),
        migrations.CreateModel(
            name='Vertical',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=100, unique=True)),
                ('slug', models.SlugField(blank=True, null=True, unique=True)),
            ],
        ),
        migrations.CreateModel(
            name='User',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('role', models.CharField(choices=[('REP', 'Reporter'), ('ADV', 'Advertiser'), ('ADM', 'Admin')], default='REP', max_length=3)),
                ('user', models.OneToOneField(on_delete=django.db.models.deletion.PROTECT, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='Minute',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('handle', models.CharField(max_length=100)),
                ('slug', models.SlugField()),
                ('last_updated', models.DateTimeField(auto_now=True)),
                ('version', concurrency.fields.AutoIncVersionField(default=0, help_text='record revision number')),
                ('content', django.contrib.postgres.fields.jsonb.JSONField(blank=True, null=True)),
                ('edition_sort', models.PositiveSmallIntegerField(blank=True, default=0, null=True)),
                ('author', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='minutes', related_query_name='minutes', to='minutes.User')),
                ('edition', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='minutes', related_query_name='minutes', to='minutes.Edition')),
                ('type', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='+', to='minutes.MinuteType')),
            ],
        ),
        migrations.CreateModel(
            name='InterstitialInstance',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('edition_sort', models.PositiveSmallIntegerField(blank=True, default=0, null=True)),
                ('edition', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='interstitials', related_query_name='interstitials', to='minutes.Edition')),
                ('interstitial', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='editions', related_query_name='editions', to='minutes.Interstitial')),
            ],
        ),
        migrations.AddField(
            model_name='interstitial',
            name='type',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='+', to='minutes.InterstitialType'),
        ),
        migrations.AddField(
            model_name='edition',
            name='sponsor',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='+', to='minutes.Sponsor'),
        ),
        migrations.AddField(
            model_name='edition',
            name='theme',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='+', to='minutes.Theme'),
        ),
        migrations.AddField(
            model_name='edition',
            name='vertical',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='editions', related_query_name='editions', to='minutes.Vertical'),
        ),
        migrations.CreateModel(
            name='EditingSession',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('last_ping', models.DateTimeField(blank=True, null=True)),
                ('active_id', models.CharField(blank=True, max_length=100, null=True)),
                ('interstitial', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='editing_session', related_query_name='editing_session', to='minutes.Interstitial')),
                ('minute', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='editing_session', related_query_name='editing_session', to='minutes.Minute')),
            ],
        ),
    ]
